Updated the GET endpoints of all asynchronous requests (/{resource}/{request_uuid})
A failed or cancelled request now returns a final 500 with the message "The query for this request failed. Start a new request." and the problem type/problems/query-failed. Stop polling and send the POST request again. Before, a failed request returned 500 without a message, and a cancelled request returned In Progress until the request_uuid expired.
Errors are returned as RFC 9457 problem details (application/problem+json)
Corrected the documented expiry of the download URLs to 1 hour
back_reference --> reference to where the measuring object is placed: a location UUID if the value contains no underscore (_); otherwise the value before the underscore is the equipment_uuid and the value after it is the equipment_parts_uuid
2026-05-13
Added asynchronous v4 devices status endpoints
POST /v4/devices/status
GET /v4/devices/status/{request_uuid}
Added new columns
production_date
battery_temperature
status_time
Renamed columns
last_communication to last_communication_time
next_communication to next_communication_time
Removed columns
fw_code --> can be retrieved via /v3/devices/properties endpoint
fw_version --> can be retrieved via /v3/devices/properties endpoint
Added asynchronous v4 sensors status endpoints with new odata request params for select, filter and orderby
POST /v4/sensors/status
GET /v4/sensors/status/{request_uuid}
Added new columns
production_date
battery_temperature
battery_voltage_mv
battery_predicted_remaining_operating_days
status_time
Renamed columns
last_communication to last_communication_time
next_communication to next_communication_time
Removed columns
fw_version --> can be retrieved via /v3/devices/properties endpoint
2026-03-24
Added asynchronous v3 tasks endpoints with new odata request params for select, filter and orderby
POST /v3/alarms
GET /v3/alarms/{request_uuid}
2026-03-12
Added asynchronous v3 tasks endpoints with new odata request params for select, filter and orderby
POST /v3/tasks
GET /v3/tasks/{request_uuid}
2026-03-09
Added asynchronous v3 devices properties endpoints with new odata request params for select, filter and orderby
POST /v3/devices/properties
GET /v3/devices/properties/{request_uuid}
2026-03-02
Added asynchronous v1 locations and asynchronous v1 measuring objects endpoints with new odata request params for select, filter and orderby
POST /v1/locations
GET /v1/locations/{request_uuid}
POST /v1/measuring_objects/
GET /v1/measuring_objects/{request_uuid}
2026-02-26
Added asynchronous v2 measurements endpoints with new odata request params for select, filter and orderby
POST /v2/measurements
GET /v2/measurements/{request_uuid}
2026-02-18
Added asynchronous v3 devices status endpoints with new odata request params for select, filter and orderby
POST /v3/devices/status
GET /v3/devices/status/{request_uuid}
2026-02-17
Added asynchronous v3 sensors status endpoints with new odata request params for select, filter and orderby
POST /v3/sensors/status
GET /v3/sensors/status/{request_uuid}
2026-02-12
Marked old endpoint versions as deprecated
Renamed endpoint groups for clearer understanding
"Domain Name" for async endpoints for e.g. "Tenants"
"Domain Name (Sync)" for sync endpoints for e.g. "Tenants (Sync)"
Ordered endpoint versions inside the groups
2026-02-11
Added asynchronous v2 alarms endpoints with new odata request params for select, filter and orderby
POST /v2/alarms
GET /v2/alarms/{request_uuid}
2026-02-10
Added asynchronous v3 tenants endpoints with new odata request params for select, filter and orderby
POST /v3/tenants
GET /v3/tenants/{request_uuid}
2026-02-09
Added asynchronous v4 equipment endpoints with new odata request params for select, filter and orderby
POST /v4/equipments
GET /v4/equipments/{request_uuid}
2025-09-29
Added delivery guarantee guidance and documented equipment-channel mapping for the v3 asynchronous equipment endpoint.
Added asynchronous v3 equipment endpoints with physical_value and physical_extensions metadata
POST /v3/equipments
GET /v3/equipments/{request_uuid}
2025-09-05
Add new asynchronous endpoints for devices properties